Core dumps

Get core dump content links

GET
/workspaces/{workspaceId}/core-dumps/{coreDumpId}

Authorization

API key Core dumps: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Core dumps: read

Path Parameters

workspaceId*string
Formatuuid
coreDumpId*string

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/core-dumps/d4Rt89jWq5Zb"

Time-limited download links to the core dump content.

{  "sasLinksExpiration": "2026-01-12T15:05:12+00:00",  "contentSasLink": "https://storage.spotflow.io/core-dumps/d4Rt89jWq5Zb.bin?sv=2025-01-01&sig=example",  "elfContentSasLink": "https://storage.spotflow.io/core-dumps/d4Rt89jWq5Zb.elf?sv=2025-01-01&sig=example"}